Package org.apache.lucene.backward_codecs.lucene91

## Class Lucene91HnswVectorsReader

- java.lang.Object
- - org.apache.lucene.codecs.KnnVectorsReader
  - - org.apache.lucene.backward_codecs.lucene91.Lucene91HnswVectorsReader

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `Accountable`

      public final class Lucene91HnswVectorsReader
      extends KnnVectorsReader

  Reads vectors from the index segments along with index data structures supporting KNN search.
  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.lucene.util.Accountable

      `NULL_ACCOUNTABLE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `checkIntegrity()` |
    `void` | `close()` |
    `HnswGraph` | `getGraph​(String field)` | Get knn graph values; used for testing
    `VectorValues` | `getVectorValues​(String field)` |
    `long` | `ramBytesUsed()` |
    `TopDocs` | `search​(String field, float[] target, int k, Bits acceptDocs, int visitedLimit)` |

    - ### Methods inherited from class org.apache.lucene.codecs.KnnVectorsReader

      `getMergeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.lucene.util.Accountable

      `getChildResources`

- - ### Method Detail

    - #### ramBytesUsed

          public long ramBytesUsed()

    - #### checkIntegrity

          public void checkIntegrity()
                              throws IOException

      Specified by:
        `checkIntegrity` in class `KnnVectorsReader`
      Throws:
        `IOException`

    - #### getVectorValues

          public VectorValues getVectorValues​(String field)
                                       throws IOException

      Specified by:
        `getVectorValues` in class `KnnVectorsReader`
      Throws:
        `IOException`

    - #### search

          public TopDocs search​(String field,
                                float[] target,
                                int k,
                                Bits acceptDocs,
                                int visitedLimit)
                         throws IOException

      Specified by:
        `search` in class `KnnVectorsReader`
      Throws:
        `IOException`

    - #### getGraph

          public HnswGraph getGraph​(String field)
                             throws IOException

      Get knn graph values; used for testing
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Throws:
        `IOException`